TrainerTransition (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dp.TrainerTransition class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp
Class TrainerTransition

    java.lang.Object
      org.biojava.bio.dp.TrainerTransition

All Implemented Interfaces:
  Serializable

    public class TrainerTransition

extends Object
implements Serializable

This is a small and ugly class for storing a trainer and a transition.

It is hash-code-able, and has a sensible equality operator.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Field Summary
`State` | `from`
`State` | `to`
`TransitionTrainer` | `trainer`

Constructor Summary
`TrainerTransition(TransitionTrainer trainer, State from, State to)`

Method Summary
`boolean` | `equals(Object o)` Two transitions are equal if they have the same trainer, from and to states.
`int` | `hashCode()` The hash code is model.hashCode() ^ from.hashCode() ^ to.hashCode()

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### trainer

    public TransitionTrainer trainer

### from

    public State from

### to

    public State to

Constructor Detail

### TrainerTransition

    public TrainerTransition(TransitionTrainer trainer,
                             State from,
                             State to)

Method Detail

### equals

    public boolean equals(Object o)
                   throws ClassCastException

  Two transitions are equal if they have the same trainer, from and to states.

  Overrides:
    `equals` in class `Object`
  Throws:
    `ClassCastException`

### hashCode

    public int hashCode()

  The hash code is model.hashCode() ^ from.hashCode() ^ to.hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD